summaryrefslogtreecommitdiff
path: root/arm-common/xresources
diff options
context:
space:
mode:
Diffstat (limited to 'arm-common/xresources')
-rwxr-xr-xarm-common/xresources30
1 files changed, 30 insertions, 0 deletions
diff --git a/arm-common/xresources b/arm-common/xresources
new file mode 100755
index 0000000..4402c02
--- /dev/null
+++ b/arm-common/xresources
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ start|stop|restart|reload|force-reload)
+ # Setting dpi to 72
+ if [ -x /usr/bin/xrdb ]; then
+ if [ -e ~/.Xresources ]; then
+ /usr/bin/xrdb -load -nocpp ~/.Xresources
+ else
+ /usr/bin/xrdb -load -nocpp /usr/etc/X11/Xresources
+ fi
+ touch /tmp/hibernation/xresources_ready
+ fi
+ ;;
+
+ status)
+ if [ -x /usr/bin/xrdb ]; then
+ /usr/bin/xrdb -query -nocpp
+ fi
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/xresource {start|stop|status|restart|reload|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0